Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.cache
Interface NodeCache

All Known Subinterfaces:
  DocumentCache, SessionCache

All Known Implementing Classes:
  AbstractSessionCache, ReadOnlySessionCache, WorkspaceCache, WritableSessionCache

    public interface NodeCache

Method Summary
`void` | `clear()` Clears all changes in the cache.
`CachedNode` | `getNode(ChildReference reference)` Get the cached representation of the node as represented by the supplied child reference.
`CachedNode` | `getNode(NodeKey key)` Get the cached representation of the node with the supplied node key.
`NodeKey` | `getRootKey()` Get the node key for the root node.

Method Detail

### clear

    void clear()

  Clears all changes in the cache.

### getRootKey

    NodeKey getRootKey()

  Get the node key for the root node.

  Returns:
    the root node's key; never null

### getNode

    CachedNode getNode(NodeKey key)

  Get the cached representation of the node with the supplied node key.

  Parameters:
    `key` - the node key; may not be null
  Returns:
    the cached node, or null if there is no such node

### getNode

    CachedNode getNode(ChildReference reference)

  Get the cached representation of the node as represented by the supplied child reference. This is a convenience method that is equivalent to calling:

       getNode(reference.getKey());

  Parameters:
    `reference` - the child node reference; may not be null
  Returns:
    the cached node to which the reference points, or null if the child reference no longer points to a valid node

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.